com.hazelcast.config

## Class JavaSerializationFilterConfig

- java.lang.Object
- - com.hazelcast.config.JavaSerializationFilterConfig

-     public class JavaSerializationFilterConfig
      extends Object

  Configuration for Serialization Filter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaSerializationFilterConfig()`
    `JavaSerializationFilterConfig(JavaSerializationFilterConfig javaSerializationFilterConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `ClassFilter` | `getBlacklist()`
    `ClassFilter` | `getWhitelist()`
    `int` | `hashCode()`
    `boolean` | `isDefaultsDisabled()`
    `JavaSerializationFilterConfig` | `setBlacklist(ClassFilter blackList)`
    `JavaSerializationFilterConfig` | `setDefaultsDisabled(boolean defaultsDisabled)`
    `JavaSerializationFilterConfig` | `setWhitelist(ClassFilter whiteList)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaSerializationFilterConfig

          public JavaSerializationFilterConfig()

    - #### JavaSerializationFilterConfig

          public JavaSerializationFilterConfig(JavaSerializationFilterConfig javaSerializationFilterConfig)

  - ### Method Detail

    - #### getBlacklist

          public ClassFilter getBlacklist()

    - #### setBlacklist

          public JavaSerializationFilterConfig setBlacklist(ClassFilter blackList)

    - #### getWhitelist

          public ClassFilter getWhitelist()

    - #### setWhitelist

          public JavaSerializationFilterConfig setWhitelist(ClassFilter whiteList)

    - #### isDefaultsDisabled

          public boolean isDefaultsDisabled()

    - #### setDefaultsDisabled

          public JavaSerializationFilterConfig setDefaultsDisabled(boolean defaultsDisabled)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.